<?php
				for($i=0;$i<=$_REQUEST['nItems'];$i++)
				{
					if($_REQUEST['CmpCurso'.$i]!=0)
					{
						if($i<$_REQUEST['CmpIds'])
						{
							mysql_query("UPDATE comportamiento SET idCurso=".$_REQUEST['CmpCurso'.$i].",idAnio=".$_REQUEST['CmpAnio'.$i].",Centro='".$_REQUEST['CmpCentro'.$i]."',Problemas='".$_REQUEST['CmpComportamiento'.$i]."' WHERE id=".$_REQUEST['CmpId'.$i],$conexion);

							$idMedi=$_REQUEST['CmpMedidas'.$i];
							$otromedi=$_REQUEST['OtroCmpMedidas'.$i];
							if($idMedi=="Otra") //Nueva Medida
							{
								if($otromedi!="")
								{
									mysql_query("INSERT INTO medidasadoptadas (Medida) VALUES ('".$otromedi."')", $conexion);
									$consultaMedi=mysql_query("SELECT * FROM medidasadoptadas ORDER BY id DESC",$conexion);
									$filaMedi=mysql_fetch_array($consultaMedi);
									$idMedi=$filaMedi['id'];
								} else
								{
									$idMedi=0;
								}
							}
							mysql_query("UPDATE comportamiento SET idMedidas=$idMedi WHERE id=".$_REQUEST['CmpId'.$i], $conexion);
							for($j=1;$j<6;$j++)
							{
								if($_REQUEST['CmpComportamiento'.$i.'Documento'.$j]!="" && $_REQUEST['CmpComportamiento'.$i.'Documento'.$j]!=$_REQUEST['CmpComportamiento'.$i.'DocumentoAntiguo'.$j])
								{
									if($_REQUEST['CmpComportamiento'.$i.'DocumentoAntiguo'.$j]!="")
										unlink($_REQUEST['CmpComportamiento'.$i.'DocumentoAntiguo'.$j]);
										
									$extension=$_REQUEST['CmpComportamiento'.$i.'DocumentoExt'.$j];
									rename("documentos/comportamiento/".$_REQUEST['CmpComportamiento'.$i.'Documento'.$j],"documentos/comportamiento/CmpComportamiento".$_REQUEST['CmpId'.$i]."_".$j.$extension);
									mysql_query("UPDATE comportamiento SET ProblemasDoc".$j."='CmpComportamiento".$_REQUEST['CmpId'.$i]."_".$j.$extension."' WHERE id=".$_REQUEST['CmpId'.$i],$conexion);
								}
							}
						} else
						{
							$idMedi=$_REQUEST['CmpMedidas'.$i];
							$otromedi=$_REQUEST['OtroCmpMedidas'.$i];
							if($idMedi=="Otra") //Nueva Medida
							{
								if($otromedi!="")
								{
									mysql_query("INSERT INTO medidasadoptadas (Medida) VALUES ('".$otromedi."')", $conexion);
									$consultaMedi=mysql_query("SELECT * FROM medidasadoptadas ORDER BY id DESC",$conexion);
									$filaMedi=mysql_fetch_array($consultaMedi);
									$idMedi=$filaMedi['id'];
								} else
								{
									$idMedi=0;
								}
							}

							mysql_query("INSERT into comportamiento(idAlumno,idCurso,idAnio,Centro,Problemas,idMedidas) VALUES(".$_REQUEST['id'].",".$_REQUEST['CmpCurso'.$i].",".$_REQUEST['CmpAnio'.$i].",'".$_REQUEST['CmpCentro'.$i]."','".$_REQUEST['CmpComportamiento'.$i]."',".$idMedi.")",$conexion);

							for($j=1;$j<6;$j++)
							{
								if($_REQUEST['CmpComportamiento'.$i.'Documento'.$j]!="")
								{
									$consultaDocCmp=mysql_query("SELECT * FROM comportamiento ORDER BY id DESC", $conexion);
									$filaDocCmp=mysql_fetch_array($consultaDocCmp);
									
									$extension=$_REQUEST['CmpComportamiento'.$i.'DocumentoExt'.$j];
									rename("documentos/comportamiento/".$_REQUEST['CmpComportamiento'.$i.'Documento'.$j],"documentos/comportamiento/CmpComportamiento".$filaDocCmp['id']."_".$j.$extension);
									mysql_query("UPDATE comportamiento SET ProblemasDoc".$j."='CmpComportamiento".$filaDocCmp['id']."_".$j.$extension."' WHERE id=".$filaDocCmp['id'],$conexion);
								}
							}
						}
					}
				}
?>